Bug 110068 - Can't browse domain samba shares.
Can't browse domain samba shares.
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2003-11-14 12:12 EST by Alejandro Gonzalez Hernandez - Imoq
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-06 21:07:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alejandro Gonzalez Hernandez - Imoq 2003-11-14 12:12:30 EST
Description of problem:

When I do a smb:/// in Nautilus I get the error message:

"Couldn't display "smb:///", because Nautilus cannot contact the SMB
master browser.
Check that an SMB server is running in the local network."

But I can easily do in the command line:

[imoq@imoqland imoq]$ smbclient -L
        Sharename      Type      Comment
        ---------      ----      -------
        video          Disk
        IPC$           IPC       IPC remota
        D$             Disk      Recurso predeterminado
        print$         Disk      Controladores de impresora
        Xerox          Printer   Xerox Document Centre 420 PS
        NAV            Disk
        BACKUP         Disk
        downloads      Disk
        F$             Disk      Recurso predeterminado
        ADMIN$         Disk      Admin remota
        C$             Disk      Recurso predeterminado
        HP2200         Printer   \\RECEPCION\HP2200

So, I would like to be able to browse the network via nautilus as well.

Version-Release number of selected component (if applicable):

[imoq@imoqland imoq]$ rpm -q nautilus
[imoq@imoqland imoq]$ rpm -q samba
[imoq@imoqland imoq]$

How reproducible:


Steps to Reproduce:
1. Open nautilus
2. Type smb:/// in the location bar.

Actual results:

Error message:  "Couldn't display "smb:///", because Nautilus cannot
contact the SMB master browser.
Check that an SMB server is running in the local network."

Expected results:

Be able to browse the network, after nautilus asks for as password.

Additional info:

Here are my relevant lines from smb.conf, just in case:

        workgroup = CGMDCT
        netbios name = IMOQLAND
        server string = imoqland
        hosts allow = 192.168. 127.
        security = DOMAIN
        unix password sync = No
        local master = no
        domain master = no
        preferred master = no
        password server = SERVIDOR1
        guest ok = yes
        encrypt passwords = no
        dns proxy = no
Comment 1 Bob Miller 2003-12-29 09:12:51 EST
When running LinNeighborhood using either the Fedora or RedHat 9 samba
RPMs (which seem to work fine on top of Fedora Core), am able to
browse an MS workgroup (i.e., list the computers in the workgroup) and
open an individual computer to view the directory shares.  With the
Fedora  RPMs, am UNable to mount a directory share; get error message
"Can't resolve host." I can mount a directory share using the Redhat 9
RPMs. Samba config file is the same for both.
Comment 2 Alejandro Gonzalez Hernandez - Imoq 2004-04-06 21:05:56 EDT
It works now, I just had to change:

local master = no
domain master = no
preferred master = no


local master = yes
;domain master = yes
preferred master = yes

It doesn't matter here at home since it's a two-computer network but
it could be an issue in bigger networks.

I'll close this bug as "not a bug".
Comment 3 Alejandro Gonzalez Hernandez - Imoq 2004-04-06 21:08:36 EDT
Just to add a comment here:

The "issue" got fixed in home's little network but not in job's big
network since we DO use a NT4-controlled domain in there.
Comment 4 Alexander Larsson 2004-04-07 04:37:39 EDT
Any chance you could test this with the smb:// support in gnome 2.6?
Thats quite different, and might work well for you.
Comment 5 Alejandro Gonzalez Hernandez - Imoq 2004-04-07 11:01:14 EDT
I don't have FC2 test2 installation at office for obvious reasons.
I'll TRY to test it in the upcoming days to see if it works. Else,
I'll have to wait for FC2 to come out to test for sure, but probably
it will be too late then :(

I'll keep you informed, thanks.

Note You need to log in before you can comment on or make changes to this bug.